package rocks.zipcode;

import java.io.File;
import java.io.IOException;
import java.util.List;

/**
 * @author leon on 16/11/2018.
 */
public interface DocumentInterface {
    void write(String contentToBeWritten);

    void write(Integer lineNumber, String valueToBeWritten) throws Exception;

    String read(Integer lineNumber) throws Exception;

    String read() throws Exception;

    void replaceAll(String stringToReplace, String replacementString);

    void overWrite(String content);

    List<String> toList();

    File getFile();

    @Override
    String toString();
}
